Highlighted
Enthusiast
Enthusiast

Domain Functional Level 2016 and vCenter

Jump to solution

Hi guys.

I have found this VMware KB:

VMware Knowledge Base 2071592

But anyone have info on the problem to use vCenter 6.5 with AD DFL 2016?

I want to upgrade my Domain Controller to 2016 whic is the correct path? I need use DFL 2012R2?

Thank You

Fabio

0 Kudos
1 Solution

Accepted Solutions
Highlighted
Hot Shot
Hot Shot

So VMware now support domain functionally level 2016 but only for 6.7 U1. Disappointed they have ignored 6.0 & 6.5 considering this is still under support from VMware. Anyone know why this would be?

View solution in original post

0 Kudos
12 Replies
Highlighted
Hot Shot
Hot Shot

You can have 2016 DCs but level functional levels at 2012 R2 until its supported by vCenter.

0 Kudos
Highlighted
Hot Shot
Hot Shot

Does anyone know why there is a such a delay in getting the domain functional support for 2016?

0 Kudos
Highlighted
Hot Shot
Hot Shot

bump. Any have information on this?

0 Kudos
Highlighted
Enthusiast
Enthusiast

Hi Abugeja,

As per the below VMware KB article (last update 16/Jan/2018), DFL 2016 is still unsupported with the latest version of vCenter. As said, you can have a Server 2016 domain controller with DFL 2012, then you can upgrade the DFL to 2016 once it gets supported.

VMware Knowledge Base

pastedImage_0.png

Hope this is helpful,

Regards,

Please consider marking this answer "correct" or "helpful" if you think your question have been answered correctly. Cheers, @vExpertConsult www.vexpertconsultancy.com VCIX-DCV 2018 | VCIX-NV 2019 | VCAP7-CMA Design | vSAN Specialist | vExpert ** | vExpert NSX | vExpert vSAN
Highlighted
Hot Shot
Hot Shot

i understand that but im wanting to know when it will be supported?

0 Kudos
Highlighted
Immortal
Immortal

That's a futures thing but based on the trend probably not until 6.5 U2 or the next major platform release.

0 Kudos
Highlighted
Hot Shot
Hot Shot

We just want it signed off for LDAPS integration.

0 Kudos
Highlighted
Immortal
Immortal

It's unlikely you're going to get any commitment from VMware just FYI.

0 Kudos
Highlighted
Contributor
Contributor

Any news if vCenter 6.7 supports domain functional level 2016?

VMware Knowledge Base has not been updated for 6.7

0 Kudos
Highlighted
Hot Shot
Hot Shot

So VMware now support domain functionally level 2016 but only for 6.7 U1. Disappointed they have ignored 6.0 & 6.5 considering this is still under support from VMware. Anyone know why this would be?

View solution in original post

0 Kudos
Highlighted
Immortal
Immortal

Because not all functionality is back-ported, including new releases of dependant infrastructure.

0 Kudos
Highlighted
Hot Shot
Hot Shot

I just want to use it for LDAP connectivity. Shouldn't be too complex for 6.0 & 6.5 to be supported as well

0 Kudos